OS X The Good Ol' Icewind Dale

Discussion in 'Mac and PC Games' started by SingularityG, Jan 27, 2015.

  1. SingularityG macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #1
    Feeling a bit nostalgic, I bought Icewind Dale on GOG, but it doesn't seem to work on my Mac.

    The log from the wrapped says:

    fixme:d3d:init_driver_info Unable to find a driver/device info for vendor_id=0x10de device_id=0xa29 for driver_model=2

    I tried searching the net, but google left me none the wiser. The GoG support seems very knowledgeable, but unfortunately none of their solutions work.

    So before I grab the newly released enhanced version, which I dislike greatly (being one of those), I thought maybe there is someone here who has been where I am now.

    Please help:)
     
  2. antonis macrumors 68000

    antonis

    Joined:
    Jun 10, 2011
    #2
    It seems there's something missing from the wrapper tricks/fixes. Usually, this error is preceded by another one stating what the exact issue is (like missing some library or something).
     
  3. SingularityG thread starter macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #3
    Hey thanks for the reply!

    Here is the full log generated by the test run:

    BEGIN LOGGING SESSION
    fixme:d3d:init_driver_info Unable to find a driver/device info for vendor_id=0x10de device_id=0xa29 for driver_model=2
    fixme:win:EnumDisplayDevicesW ((null),0,0x32a94c,0x00000000), stub!
    fixme:d3d_surface:wined3d_surface_flip Ignoring flags 0x1.

    Icewind Dale always switches to GT330m.

    Cheers!
     
  4. rampancy macrumors regular

    rampancy

    Joined:
    Jul 22, 2002
    #4
    Hmm...I ran and played the Windows version of IWD on my Mac on GOG, but it's been a while. What version of WINE is in the wrapper? Last I checked, GOG seems to use surprisingly old versions of WINE in their pre-built wrappers.
     
  5. T'hain Esh Kelch macrumors 601

    T'hain Esh Kelch

    Joined:
    Aug 5, 2001
    Location:
    Denmark
    #5
    IWD Enhanced Edition has recently been released as a native app.
     
  6. SingularityG thread starter macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #6
    It's the 2.5.12.

    I also have Planescape Torment from GoG. Same wrapper version, but it runs perfectly.
     
  7. nerowolfe macrumors member

    Joined:
    Oct 23, 2014
    #7
    I strictly play the Windows version, so I d/led OSX installer. Like many other emulated games it only runs when copied to apps folder. Done that. Then it prompted me that it wanted to download some files to support xhtml or whatever, afterwhich it ran like it should. rMBP w nVidia 650M
     
  8. SingularityG thread starter macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #8
    Oh thanks!

    Yeah the wine gecko installer prompts me also. Did it install the gecko successfully?
     
  9. nerowolfe macrumors member

    Joined:
    Oct 23, 2014
    #9
    NP. Yeah, took an odd while to d/l but otherwise installation was a snap (a sign of bad server connection/possible corrupted files in your case perhaps?) Anyway it's noteworthy that I can't remember other IE games I purchased off GOG downloading anything that is not included in the installer file proper.
     
  10. rampancy macrumors regular

    rampancy

    Joined:
    Jul 22, 2002
    #10
    Ah, that's the version of Wineskin itself, not the version of WINE that it uses. If you open up the Wineskin app within the .app of the game (using "Show Package Contents..."), it'll tell you what version of WINE it's on.

    nerowolfe seems to have it figured out; it looks like a potential issue of corrupted installation files. Let us know how it works out for you!
     
  11. SingularityG thread starter macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #11
    Ok, after numerous attempts to install Gecko I finally did it!

    But it didn't change anything.:(
     
  12. SingularityG thread starter macrumors 6502

    SingularityG

    Joined:
    Jun 7, 2012
    #12
    Aha!

    My bad. If I go to advanced, then I can see Version: 1.0.0.11. This is just below Menubar Name: Icewind Dale, so it looks like the version of Icewind Dale(?).

    Next to the Wrapper Version is Engine: GOG1.4.1_SOCKETFIX.

    Planescape Torment reads Engine: WS9Wine1.7.14.

    After installing Gecko I still get the same log:

    BEGIN LOGGING SESSION
    fixme:d3d:init_driver_info Unable to find a driver/device info for vendor_id=0x10de device_id=0xa29 for driver_model=2
    fixme:win:EnumDisplayDevicesW ((null),0,0x32a94c,0x00000000), stub!
    fixme:d3d_surface:wined3d_surface_flip Ignoring flags 0x1.

    Could it be that the wineskin is not compatible with my graphic card, or maybe corrupted in that regard?

    EDIT: Re-downloaded Icewind Dale many times, so I must be getting the same copy as nerowolfe, which is obviously ok on their setup.
     

Share This Page